Skip to main content
GET
/
v1
/
connector-sync-events
List connector sync events
curl --request GET \
  --url https://api.openworklabs.com/v1/connector-sync-events
{
  "items": [
    {
      "id": "<string>",
      "connectorInstanceId": "<string>",
      "connectorTargetId": "<string>",
      "connectorType": "github",
      "remoteId": "<string>",
      "eventType": "push",
      "externalEventRef": "<string>",
      "sourceRevisionRef": "<string>",
      "status": "pending",
      "summaryJson": {
        "createdCount": 4503599627370495,
        "updatedCount": 4503599627370495,
        "deletedCount": 4503599627370495,
        "skippedCount": 4503599627370495,
        "failedCount": 4503599627370495,
        "failures": [
          {}
        ]
      },
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Query Parameters

cursor
string
Required string length: 1 - 255
limit
integer
Required range: 1 <= x <= 100
connectorInstanceId
string<typeid>

Den TypeID with 'cin_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cin_.*
connectorTargetId
string<typeid>

Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^ctg_.*
eventType
enum<string>
Available options:
push,
installation,
installation_repositories,
repository,
manual_resync
status
enum<string>
Available options:
pending,
queued,
running,
completed,
failed,
partial,
ignored
q
string
Required string length: 1 - 255

Response

Connector sync events returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255